/************************************************************************
 *
 *  project_config.h
 *
 *  external parameters was included in this file
 * 
 *
 ************************************************************************/

#ifndef PROJECT_CONFIG_H
#define PROJECT_CONFIG_H
//********************************************************************
//Board Components
//********************************************************************
//flag                      value
//********************************************************************
#define Board_CPU_JUPITER
#define Board_Chip_Rev_1185
#define Board_HWSETTING_BGA___1xDDR3.2Gb
#define Board_DRAM_Type_DDR3
#define Board_DRAM_Block			256
#define Board_DRAM_Number			1
#define Board_DRAM_Size				256
#define Board_SATA_NULL
#define Board_IDE_NULL
#define Board_USB_Driver_Disabled
#define Board_USB_New_Driver_Disabled
#define Board_IDE2_NULL
#define Board_LAN_8139cp
#define Board_RTC_NULL
#define Board_VFD_NULL
#define Board_GPIO_NULL
#define Board_PWM_NULL
#define Board_TVD_NULL
//********************************************************************
//GPIO setup
//********************************************************************
//flag                      value
//********************************************************************
#define GPIO_MUXPAD0			0x22222215     // address: 1800_0350
#define GPIO_MUXPAD1			0x00888888     // address: 1800_0354
#define GPIO_MUXPAD2			0x00000280	  // address: 1800_0358
#define GPIO_MUXPAD3			0x00000000	  // address: 1800_035c
#define GPIO_MUXPAD4			0x55550000     // address: 1800_0360
#define GPIO_MUXPAD6			0x88888880	  // address: 1800_0368
#define GPIO_MUXPAD7			0x11110000	  // address: 1800_036c
#define GPIO_MUXPAD8				0x88888881 	  // address: 1800_0370
#define GPIO_MUXPAD11			0x00000055     // address: 1800_037c
#define GPIO_ISO_MUXPAD			0x00000540     // address: 1801_bdd8
#define GPIO_GP0DIR			0x00000040     // address: 1801_b100
#define GPIO_ISO_GPDIR			0x00000138     // address: 1801_bd70
#define GPIO_ISO_GPDATO			0x00000038 	  // address: 1801_bd74
//********************************************************************
//Config
//********************************************************************
//flag                      value
//********************************************************************
#define Config_Product_avhdd
#define Config_Encryption_FALSE
#define Config_PLL_Prog_FALSE
#define Config_Time_Evaluation_FALSE
#define Config_AV_Self_Extract_FW_FALSE
#define Config_Component_Ouput_TRUE
#define Config_CVBS_Ouput_TRUE
#define Config_Hdmi_Ouput_TRUE
#define Config_OTT_Power_Saving_TRUE
#define Config_One_Step_TRUE
#define Config_Disable_VGA_FALSE
#define Config_Disable_CVBS_TRUE
#define Config_Disable_Audio_ADC_FALSE
#define Config_Disable_SPDIF_FALSE
#define Config_Disable_PCIe_TRUE
#define Config_Disable_SATA_TRUE
#define Config_Disable_TP_FALSE
#define Config_Disable_CardReader_TRUE
#define Config_Disable_Pcmcia_TRUE
#define Config_Disable_PHY_FALSE
//********************************************************************
//config HDMI Keys
//********************************************************************
//flag                      value
//********************************************************************
//********************************************************************
//config password to allow input from UART when secure boot (maximum 255)
//********************************************************************
//flag                      value
//********************************************************************
//********************************************************************
//RSA key file & AES key file (under bin/image)
//********************************************************************
//flag                      value
//********************************************************************
#define Config_Secure_Key_TRUE
#define Config_Secure_RSA_MODULUS			"A060C4E81F626A68F696BF5AC2CAC9B9158EA5AB6FD3C00CFBB1E6DC9EE67A49D6E2A2C1AA8AC63EC1C9827C7549CFCB6818B1C82B650FBE17B51CE02679477F8B80F2FE82F7D548D002705528CABF8876DE09282F86A809F03F7CD92A6E9C6CC48F0002778D63D3E5B406020BF08E4D80C13DF7AFE2E26FEBC6AA3EBC66D3D5"
#define Config_Secure_RSA_Key_File			"rsa_key___pem"
#define Config_Secure_AES_Seed_File			"key_img_seed___bin"
//********************************************************************
//Boot parameters
//********************************************************************
//flag                      value
//********************************************************************
#define Param_companyID			"0000"
#define Param_boardID			"0311"
#define Param_version			"0021"
#define Param_MAC_hi			0x00112233
#define Param_MAC_lo			0x44550000
//********************************************************************
//Logo attribute
//********************************************************************
//flag                      value
//********************************************************************
#define Logo_Rotate_Interval			0x30
#define Logo_Source_FLASH
#define Logo_Offset			480
#define Logo_Reg5370			0x808010
#define Logo_Reg5374			0x7fffff
#define Logo_Reg5378			0xff0000
#define Logo_Reg537c			0xffffff
#define Logo_Type_NTSC
#define Logo_File_Name			"realtek_ntsc_black.bmp"
#define Logo2_Source_NULL
#define Logo2_Type_NTSC
#define Logo2_File_Name			"realtek_ntsc_black.bmp"
#define Logo3_Source_NULL
#define Logo3_Type_NTSC
#define Logo3_File_Name			"realtek_ntsc_black.bmp"
#define Logo4_Source_NULL
#define Logo4_Type_NTSC
#define Logo4_File_Name			"realtek_ntsc_black.bmp"
#define Logo5_Source_NULL
#define Logo5_Type_NTSC
#define Logo5_File_Name			"realtek_ntsc_black.bmp"
#define Logo6_Source_FLASH
#define Logo6_Offset			823
#define Logo6_Reg5370			0x808010
#define Logo6_Reg5374			0x8080eb
#define Logo6_Reg5378			0xff0000
#define Logo6_Reg537c			0xffffff
#define Logo6_Type_NTSC
#define Logo6_File_Name			"realtek_ntsc_enter_rescue.hivision20.bmp"
#define Logo7_Source_FLASH
#define Logo7_Offset			2143
#define Logo7_Reg5370			0xef5b51
#define Logo7_Reg5374			0x8080eb
#define Logo7_Reg5378			0x8080d5
#define Logo7_Reg537c			0xffffff
#define Logo7_Type_NTSC
#define Logo7_File_Name			"RTD1263_720x480_24bit_NoHDD.bmp"
#define Logo8_Source_FLASH
#define Logo8_Offset			480
#define Logo8_Reg5370			0x808010
#define Logo8_Reg5374			0x7fffff
#define Logo8_Reg5378			0xff0000
#define Logo8_Reg537c			0xffffff
#define Logo8_Type_NTSC
#define Logo8_File_Name			"realtek_ntsc_black.bmp"
//********************************************************************
//Audio attribute
//********************************************************************
//flag                      value
//********************************************************************
//********************************************************************
//Rescue Linux attribute
//********************************************************************
//flag                      value
//********************************************************************
#define Rescue_Source_FLASH
#define Rescue_Install_Key			0x09
#define Rescue_GPIO_Switch_TRUE
#define Rescue_Install_With_GPIO_Address			0xb801b124
#define Rescue_Install_With_GPIO_Mask			0x00000004
#define Rescue_Install_With_GPIO_Value			0x00000000	// low active
#define Rescue_Loader_Param			""
#define Rescue_File_Name			vmlinux.rescue.usb.flash.jupiter.2.6.34.bin.lzma_avhdd
//********************************************************************
//Linux attribute
//********************************************************************
//flag                      value
//********************************************************************
#define Linux_Source_FLASH
#define Linux_Loader_Param			"go 803bc000 rootfstype=squashfs root=31:01 mtdparts="
//********************************************************************
//USB OTG device mode attribute
//********************************************************************
//flag                      value
//********************************************************************
#define USB_OTG_mode_Disabled
//********************************************************************
//Shell Setup
//********************************************************************
//flag                      value
//********************************************************************
#define Cmd_compare_On
#define Cmd_comptime_On
#define Cmd_copy_On
#define Cmd_cp0_Off
#define Cmd_cp1_Off
#define Cmd_disk_Off
#define Cmd_dump_On
#define Cmd_erase_On
#define Cmd_fill_On
#define Cmd_format_Off
#define Cmd_freadwrite_On
#define Cmd_go_On
#define Cmd_help_On
#define Cmd_info_On
#define Cmd_iping_On
#define Cmd_load_On
#define Cmd_port_On
#define Cmd_reset_On
#define Cmd_setenv_On
#define Cmd_stty_On
#define Cmd_test_On
#define Cmd_continue_On
#define Cmd_saveenv_On
#define Cmd_lzma_Off
#define Cmd_wait_On
#define Cmd_usb_new_Off
#define Cmd_keyset_On
//********************************************************************
//user defined 
//********************************************************************
//flag                      value
//********************************************************************
#define system_parameters_4 "12V5V_GPIO=0,hion cr_pw=b10c-10 POWERKEY_IRRP=0xFD026B86"
#define usb1_param "2,6,9"
#define usb2_param "2,6,9"

#endif //#ifndef EXTERN_PARAM_H	
